## net.sf.saxon.trace
Class XQueryTraceListener

    java.lang.Object
      net.sf.saxon.trace.AbstractTraceListener
          net.sf.saxon.trace.XQueryTraceListener

All Implemented Interfaces:
  EventListener, TraceListener

    public class XQueryTraceListener

extends AbstractTraceListener

A Simple trace listener for XQuery that writes messages (by default) to System.err

Constructor Summary
`XQueryTraceListener()`

Method Summary
`protected String` `getOpeningAttributes()` Generate attributes to be included in the opening trace element
`protected String` `tag(int construct)` Get the trace element tagname to be used for a particular construct.

Methods inherited from class net.sf.saxon.trace.AbstractTraceListener
`close, endCurrentItem, enter, escape, getOutputDestination, leave, open, setOutputDestination, startCurrentItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQueryTraceListener

    public XQueryTraceListener()

Method Detail

### getOpeningAttributes

    protected String getOpeningAttributes()

  Generate attributes to be included in the opening trace element

  Specified by:
    `getOpeningAttributes` in class `AbstractTraceListener`

### tag

    protected String tag(int construct)

  Get the trace element tagname to be used for a particular construct. Return null for trace events that are ignored by this trace listener.

  Specified by:
    `tag` in class `AbstractTraceListener`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.